function mostraForm(id, endereco, idProtocolo, token){
    $("#novoAcompanhamento").html(
    "<div class='alert alert-info'>"
        +"<div class=\"\">"
            +"<textarea class=\"form-control\" rows=\"5\" name=\"descricao\" type=\"textarea\" id=\"descricao\" placeholder='Escreva aqui sua resposta' required></textarea>"
        +"</div>"
        +"<input type='hidden' name='id' value='"+id+"'>"
        +"<div class=\"\">"
            +"<button class='btn btn-primary' onclick='submeteFormAcompanhamento(\""+endereco+"\", "+idProtocolo+", \""+token+"\")'>Enviar</button>"
        +"</div>"
    +"</div>");

    $("#responder").remove();
}

function submeteFormAcompanhamento(endereco, idProtocolo, token){
    let texto = $("textarea[name=descricao]").val();
    let id = $("input[name=id]").val();

    $.post({
        url: endereco,
        _token: token,
        data: {"_token":token, "idUsuario": id, "descricao": texto, "idProtocolo": idProtocolo}
    }).done(function(resposta){
        $("#novoAcompanhamento").html("");
        $("#novoAcompanhamento").addClass("alert alert-info mb-15");
        $("#novoAcompanhamento").html(resposta);
    }).fail(function(resposta){
        $("#novoAcompanhamento").html("");
        $("#novoAcompanhamento").addClass("alert alert-warning mb-15");
        $("#novoAcompanhamento").html(resposta);
    });
}

function verificaForm(form, idSetor){
    if(isNaN($(idSetor).val())){
        form.preventDefault();
        $("#alerta-setor").show();
    }
}
